From 2f34ad0b75ec664eee110016bf3d92257d7ff586 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Thu, 16 Feb 2017 11:02:45 +0100
Subject: [PATCH] Update macOS download information with Apple OS rebranding

Apple rebranded Mac OS X to macOS in 2016, and are now referring to
all versions as macOS. Commit da6c4f6ca88d in the PostgreSQL repo
changed from using (various version of) Mac OS X to macOS, this
applies the same to the macOS download page.

Also update the information on macOS server and the contents of a
fresh base installation (verified for macOS El Capitan and Sierra).
---
 templates/pages/about.html           |  2 +-
 templates/pages/download.html        |  2 +-
 templates/pages/download/macosx.html | 33 +++++++++++++++++----------------
 3 files changed, 19 insertions(+), 18 deletions(-)

diff --git a/templates/pages/about.html b/templates/pages/about.html
index 4232109..54ae402 100644
--- a/templates/pages/about.html
+++ b/templates/pages/about.html
@@ -7,7 +7,7 @@
 more than 15 years of active development and a proven architecture that has
 earned it a strong reputation for reliability, data integrity, and
 correctness. It runs on all major operating systems, including Linux, UNIX (AIX,
-BSD, HP-UX, SGI IRIX, Mac OS X, Solaris, Tru64), and Windows. It is
+BSD, HP-UX, SGI IRIX, macOS, Solaris, Tru64), and Windows. It is
 fully ACID compliant, has full support for foreign keys, joins, views, triggers,
 and stored procedures (in multiple languages). It includes most SQL:2008
 data types, including INTEGER, NUMERIC, BOOLEAN, CHAR, VARCHAR, DATE, INTERVAL,
diff --git a/templates/pages/download.html b/templates/pages/download.html
index bdca8b3..808f41f 100644
--- a/templates/pages/download.html
+++ b/templates/pages/download.html
@@ -34,7 +34,7 @@ systems:
    <li><a href="/download/linux/">Other</a> Linux</li>
   </ul>
  </li>
- <li><a href="/download/macosx/">Mac OS X</a></li>
+ <li><a href="/download/macosx/">macOS</a></li>
  <li><a href="/download/solaris/">Solaris</a></li>
  <li><a href="/download/windows/">Windows</a></li>
 </ul>
diff --git a/templates/pages/download/macosx.html b/templates/pages/download/macosx.html
index bd24c68..ed1ef37 100644
--- a/templates/pages/download/macosx.html
+++ b/templates/pages/download/macosx.html
@@ -1,19 +1,19 @@
 {%extends "base/page.html"%}
-{%block title%}Mac OS X packages{%endblock%}
+{%block title%}macOS packages{%endblock%}
 {%block contents%}
 
-<h1>Mac OS X packages</h1>
+<h1>macOS packages</h1>
 <p>
-PostgreSQL is the default database on Mac OS X Server as of version 10.7.
-The standard version of Mac OS X includes only the PostgreSQL commandline
-client utilities.
+PostgreSQL is the default database on macOS Server as of OS X Server version 10.7.
+macOS without the macOS Server add-on installed includes only the PostgreSQL
+libpq shared library.
 </p>
 <p>
-Mac OS X Server 10.7 ships with PostgreSQL 9.0. Minor updates are provided
+macOS Server 10.12 ships with PostgreSQL 9.4. Minor updates are provided
 by Apple, but not necessarily right after a new PostgreSQL minor release.
 </p>
 <p>
-There are several other installers available for PostgreSQL on Mac OS X,
+There are several other installers available for PostgreSQL on macOS,
 which is the recommended way to install.
 </p>
 
@@ -24,7 +24,8 @@ which is the recommended way to install.
 certified by EnterpriseDB for all supported PostgreSQL versions.
 </p>
 
-<p>This installer includes the PostgreSQL server, pgAdmin; a graphical tool for managing and developing
+<p>
+This installer includes the PostgreSQL server, pgAdmin; a graphical tool for managing and developing
 your databases, and StackBuilder; a package manager that can be used to download and install
 additional PostgreSQL tools and drivers. Stackbuilder includes management,
 integration, migration, replication, geospatial, connectors and other tools.
@@ -36,7 +37,7 @@ This installer can run in graphical, command line, or silent install modes.
 
 <p>
 The installer is designed to be a straightforward, fast way to get up and running with
-PostgreSQL on OS X.
+PostgreSQL on macOS.
 </p>
 
 <p>
@@ -50,14 +51,14 @@ This download is intended for users who wish to include PostgreSQL as part of an
 
 <p>
 <a href="https://www.bigsql.org/postgresql/installers.jsp">Download</a> the
-Mac OS X installer from BigSQL for all supported versions.
+macOS installer from BigSQL for all supported versions.
 </p>
 
 <p>
-This distribution includes the PostgreSQL server, a graphical component manager, 
+This distribution includes the PostgreSQL server, a graphical component manager,
 command line and graphical tools for managing databases, plus many
 open source community components. Integrated components include web
-and desktop developer tools, geospatial, provisioning &amp; management, 
+and desktop developer tools, geospatial, provisioning &amp; management,
 compatibility &amp; migration, backup/restore,
 and integration with external databases (Cassandra, Oracle, SQL Server, Hadoop),
 and procedural languages (Python, Perl, Java, and TCL).
@@ -65,14 +66,14 @@ and procedural languages (Python, Perl, Java, and TCL).
 
 <h2>Postgres.app</h2>
 <p>
-<a href="http://postgresapp.com">Postgres.app</a> is a simple, native Mac OS X app that runs in the menubar without the need of an installer. Open the app, and you have a PostgreSQL server 
+<a href="http://postgresapp.com">Postgres.app</a> is a simple, native macOS app that runs in the menubar without the need of an installer. Open the app, and you have a PostgreSQL server
 ready and awaiting new connections. Close the app, and the server shuts down.
 </p>
 
 <h2>Fink</h2>
 
 <p>
-PostgreSQL packages are available for Mac OS X from the
+PostgreSQL packages are available for macOS from the
 <a href="http://www.finkproject.org/">Fink Project</a>.
 Please see the Fink documentation for information on how to install packages.
 </p>
@@ -86,7 +87,7 @@ can be found using the package search tool on the Fink website.
 <h2>MacPorts</h2>
 
 <p>
-PostgreSQL packages are also available for Mac OS X from the
+PostgreSQL packages are also available for macOS from the
 <a href="http://www.macports.org/">MacPorts Project</a>. Please see the
 MacPorts documentation for information on how to install ports.
 </p>
@@ -100,7 +101,7 @@ can be found using the portfiles search tool on the MacPorts website.
 <h2>Homebrew</h2>
 
 <p>
-PostgreSQL can also be installed on Mac OS X
+PostgreSQL can also be installed on macOS
 using <a href="http://brew.sh">Homebrew</a>. Please see the Homewbrew
 documentation for information on how to install packages.
 </p>
-- 
2.6.4 (Apple Git-63)

